// 
// UnhandledDataStructure.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;
namespace Poi.Net.HWPF.Model
{
	
	public class UnhandledDataStructure
	{
		virtual internal byte[] Buf {
			get {
				return _buf;
			}
			
		}
		internal byte[] _buf;
		
		public UnhandledDataStructure(byte[] buf, int offset, int length)
		{
			_buf = new byte[length];
			Array.Copy(buf, offset, _buf, 0, length);
		}
	}
}