// 
// POIFSReader.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Jakarta Poi Authors:
//   Marc Johnson (mjohnson at apache dot org)
//
// Poi.Net Authors:
//   Johannes Roith(johannes at jroith dot de)
//  
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;

namespace Poi.Net.PoiFS.Common
{
	
	/// <summary> A repository for constants shared by POI classes.
	/// 
	/// </summary>

	public class POIFSConstants{
		public readonly static int BIG_BLOCK_SIZE = 0x0200;
		public readonly static int END_OF_CHAIN = - 2;
		public readonly static int PROPERTY_SIZE = 0x0080;
		public readonly static int UNUSED_BLOCK = - 1;
	}
}