// 
// FieldDescriptor.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Jakarta Poi Authors:
//   Rainer Klute (klute@rainer-klute.de)
//
// Poi.Net Authors:
//   Johannes Roith(johannes at jroith dot de)
//  
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;

using Poi.Net.Util;
namespace Poi.Net.HWPF.Model
{
	
	public class FieldDescriptor
	{
		//unused: internal byte _fieldBoundaryType;
		//unused:internal byte _info;
		
		private static readonly BitField fZombieEmbed = new BitField(0x02);
		private static readonly BitField fResultDiry = new BitField(0x04);		
		private static readonly BitField fResultEdited = new BitField(0x08);		
		private static readonly BitField fLocked = new BitField(0x10);		
		private static readonly BitField fPrivateResult = new BitField(0x20);		
		private static readonly BitField fNested = new BitField(0x40);		
		private static readonly BitField fHasSep = new BitField(0x80);	
		
		public FieldDescriptor()
		{
		}
	}
}