// 
// UPX.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;
namespace Poi.Net.HWPF.Model
{
	
	public class UPX
	{
		private byte[] _upx;
		
		public UPX(byte[] upx)
		{
			_upx = upx;
		}
		
		public virtual byte[] Get {
			get { return _upx; }
		}
		public virtual int Size {
			get { return _upx.Length; }
		}
		
		public  override bool Equals(object o)
		{
			UPX upx = (UPX) o;
			return ArrayHelper.Equals(_upx, upx._upx);
		}
	}
}