// 
// PropertyConstants.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;

namespace Poi.Net.PoiFS.Properties
{
	
	/// <summary> Interface PropertyConstants</summary>
	
	public struct PropertyConstants{
		public const int PROPERTY_TYPE_OFFSET = 0x42;
		// the property types
		public const byte DIRECTORY_TYPE = 1;
		public const byte DOCUMENT_TYPE = 2;
		public const byte ROOT_TYPE = 5;
	}
}