// 
// LittleEndianConsts.cs
//  
// Copyright 2002-2004  Apache Software Foundation
//
// Jakarta Poi Authors:
//   Marc Johnson (mjohnson at apache dot org)
//   Andrew C. Oliver (acoliver at apache dot org)
//
// Poi.Net Authors:
//   Johannes Roith(johannes at jroith dot de)
//  
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;
namespace Poi.Net.Util
{
	
	/// <summary> a repository for constants shared by classes within this package
	/// 
	/// </summary>
	
	public class LittleEndianConsts {
		// sizes of various numbers in this environment
		public readonly static int BYTE_SIZE = 1;
		public readonly static int SHORT_SIZE = 2;
		public readonly static int INT_SIZE = 4;
		public readonly static int LONG_SIZE = 8;
		public readonly static int DOUBLE_SIZE = 8;
	}
}